unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Edit1: TEdit;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation



procedure Usb_Qu_Open()  cdecl ; external 'Quvc_dll.dll';
procedure Usb_Qu_Close()  cdecl ; external 'Quvc_dll.dll';
function  Usb_Qu_Getstate(): integer cdecl ; external 'Quvc_dll.dll';
function Usb_Qu_write(Qu_index : byte;  Qu_type : byte; var pData): bool cdecl ; external 'Quvc_dll.dll';

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);

const
        C_index       =	0;
        C_type	      = 0;     {    Sound 5ea model  }
        { C_type      = 3;     {    Sound 25ea model group Select 0-4 }

        C_dont	      = 100;          {  // Don't care  // Do not change before state }
        C_off         = 0;
        C_on          = 1;
        C_onoff       = 2;
var

        bret : bool;
        cData:array [0..6] of Byte;

begin

        cData[0] := C_on;          { lamp  1 }
        cData[1] := 2;
        cData[2] := C_onoff;
        cData[3] := C_dont;
        cData[4] := 0;             { lamp 5 }

        cData[5] := 1;          { Sound Select 0-5;   0-off }

        bret := Usb_Qu_write(C_index, C_type, cData[0]);

        if bret = TRUE then
                edit1.Text := 'Send Success'
        Else
                edit1.Text := 'Send Error';
 end;

procedure TForm1.Button3Click(Sender: TObject);
var
        iStat : integer;
        m_str : string;
begin

        iStat :=  Usb_Qu_Getstate();
        m_str :=  ' Read Connect Usb  ';
	if (iStat and $1) = $1	then    m_str := m_str + 'Index0(O), '
	else		                m_str := m_str + 'Index0(X), ';
        if (iStat and $2) = $2	then    m_str := m_str + 'Index1(O), '
	else		                m_str := m_str + 'Index1(X), ';
        if (iStat and $4) = $4	then    m_str := m_str + 'Index2(O), '
	else		                m_str := m_str + 'Index2(X), ';
        if (iStat and $8) = $8	then    m_str := m_str + 'Index3(O), '
	else		                m_str := m_str + 'Index3(X), ';

        edit1.Text := m_str;
 end;

procedure TForm1.Button2Click(Sender: TObject);
begin
        close;
end;



procedure TForm1.FormCreate(Sender: TObject);
begin
        Usb_Qu_Open();

end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
        Usb_Qu_Close();

end;

end.
